Loading...
Searching...
No Matches
sensors::AccumulatingNumericSensor::ResetEvent Struct Reference

Event: Accumulated value has been reset. More...

`import <AccumulatingNumericSensor.idl;`

Inheritance diagram for sensors::AccumulatingNumericSensor::ResetEvent:

## Public Attributes

NumericSensor::Reading | oldReading
| Value before reset.
NumericSensor::Reading | newReading
| Value after reset.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Accumulated value has been reset.

Definition at line 19 of file AccumulatingNumericSensor.idl.

## Member Data Documentation

## newReading

NumericSensor::Reading sensors::AccumulatingNumericSensor::ResetEvent::newReading

Value after reset.

Definition at line 21 of file AccumulatingNumericSensor.idl.

## oldReading

NumericSensor::Reading sensors::AccumulatingNumericSensor::ResetEvent::oldReading

Value before reset.

Definition at line 20 of file AccumulatingNumericSensor.idl.

The documentation for this struct was generated from the following file:

- AccumulatingNumericSensor.idl